#============================================================
# GnuPlot script : STD2.GNU 
#============================================================
# Parameter 0 : input data file #1
# Parameter 1 : input data file #2
# Parameter 2 : graph title
# Parameter 3 : min X
# Parameter 4 : max X
# Parameter 5 : min Y
# Parameter 6 : max Y
# Parameter 7 : label #1
# Parameter 8 : label #2
# Parameter 9 : ouput file (PNG format)
#============================================================

# Setting
set xlabel "Wavelength (A)"
set ylabel "Relative intensity"
set xrange [$3:$4]
set yrange [$5:$6] 
set tmargin 2
set title '$2' 0,-0.5
set terminal push

# Plot on the computer screen 
set terminal windows "Arial" 9
plot "$0" title "$7" with lines lc rgb 'blue'
replot "$1" title "$8" with lines lc rgb 'red'

# Plot on a PNG file
set terminal png small size 900,500
set output '$9'
replot

# Finalize
set output
set terminal pop
reset
