#============================================================
# GnuPlot script  : STD2Y.GNU
#============================================================
# Parameter 0 : input data file
# Parameter 1 : graph title
# Parameter 2 : min X
# Parameter 3 : max X
# Parameter 4 : min Y
# Parameter 5 : max Y
# Parameter 6 : min y2
# Parameter 7 : max Y2
# Parameter 8 : output file (PNG format)
#============================================================

# Setting
set xlabel "Wavelength (A)"
set ylabel "Relative intensity"
set tmargin 2
set title '$1' 0,-0.5
set xrange [$2:$3]
set yrange [$4:$5]
set y2range [$6:$7]
set y2tics border
set ytics nomirror
set terminal push

# Plot on the computer screen
set terminal windows "Arial" 9
plot "$0" notitle with lines lc rgb 'black'
replot "$0" axes x1y2 notitle with lines lc rgb 'gray70'

# Plot on a PNG file
set terminal png small size 900,500
set output '$8'
replot

# Finalize
set output
set terminal pop
reset

